#include <Conn.h>

int main(void)
{
	char *s;
	int ret = 0, r;

	s = "127.0.0.1";
	r = Conn_addr_family(s);
	if (r != PF_INET) {
		printf("ERROR: %s->%d (%s).\n", s, r, Conn_strerror());
		ret++;
	}

	s = "1234::1";
	r = Conn_addr_family(s);
	if (r != PF_INET6) {
		printf("ERROR: %s->%d (%s).\n", s, r, Conn_strerror());
		ret++;
	}

	s = "1234:::1";
	r = Conn_addr_family(s);
	if (r != -1) {
		printf("ERROR: %s->%d (%s).\n", s, r, Conn_strerror());
		ret++;
	}

	return ret;
}
